## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/facebookexperimental/libunifex
Version:        0.4.0
%forgemeta

Name:           libunifex
Release:        %autorelease
Summary:        A prototype implementation of the C++ sender/receiver async programming model
License:        Apache-2.0 WITH LLVM-exception
URL:            %{forgeurl}
Source0:        %{forgesource}
Patch0:         https://github.com/facebookexperimental/libunifex/pull/588.patch

# https://koji.fedoraproject.org/koji/taskinfo?taskID=110446313
# https://kojipkgs.fedoraproject.org//work/tasks/6375/110446375/build.log
ExcludeArch:    i686

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  gtest-devel
BuildRequires:  gmock-devel

%description
The 'libunifex' project is a prototype implementation of the C++ sender/receiver
async programming model that is currently being considered for standardisation.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%prep
%forgeautosetup -p1

%build
export CXXFLAGS="%{optflags} -Wno-error=maybe-uninitialized"
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=Release \
    -DUNIFEX_USE_SYSTEM_GTEST=ON \
    -DCMAKE_CXX_STANDARD=20 \

%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE.txt
%doc README.md
%{_libdir}/libunifex.so.0*

%files devel
%{_includedir}/unifex/
%{_libdir}/libunifex.so
%{_libdir}/cmake/unifex/
%{_libdir}/pkgconfig/unifex.pc

%changelog
## START: Generated by rpmautospec
* Tue Jan 30 2024 topazus <topazus@outlook.com> - 0.4.0-5
- Change -Wmaybe-uninitialized errors into warnings

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 02 2024 topazus <topazus@outlook.com> - 0.4.0-2
- fix packit

* Sun Dec 17 2023 topazus <topazus@outlook.com> - 0.4.0-1
- initial import; RHBZ#2254853
## END: Generated by rpmautospec
